# Uses of Class
java.lang.StackWalker

Packages that use StackWalker
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of StackWalker in java.lang

Methods in java.lang that return StackWalker
Modifier and Type
Method
Description
`static StackWalker`
StackWalker.`getInstance()`
Returns a `StackWalker` instance.
`static StackWalker`
StackWalker.`getInstance(StackWalker.Option option)`
Returns a `StackWalker` instance with the given option specifying the stack frame information it can access.
`static StackWalker`
StackWalker.`getInstance(Set<StackWalker.Option> options)`
Returns a `StackWalker` instance with the given `options` specifying the stack frame information it can access.
`static StackWalker`
StackWalker.`getInstance(Set<StackWalker.Option> options, int estimateDepth)`
Returns a `StackWalker` instance with the given `options` specifying the stack frame information it can access.